// $Id: klines.h,v 1.8 2003/01/10 00:41:39 toast Exp $

#ifndef _KLINES_H_
#define _KLINES_H_

#include <string>
#include <list>

#include "strtype"

class KlineItem
{
public:
  KlineItem(const std::string & userhost = "", const std::string & reason = "")
  {
    this->userhost = userhost;
    this->reason = reason;
  }
  std::string userhost;
  std::string reason;
};

class KlineList
{
private:
  std::list<KlineItem> Klines; 
  char lineType;

public:
  KlineList(const char lineType = 'K') { this->lineType = lineType; }
  void Clear();
  void Add(const std::string &, const std::string &);
  void Find(StrList &, const std::string &);
  void Remove(const std::string &);
  void ParseAndAdd(std::string);
  void ParseAndRemove(std::string);
};

#endif
